Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.workflow
Class JobResult

    java.lang.Object
      com.bea.content.virtual.workflow.JobResult

    public class JobResult

extends Object

The JobResult class contains information about the jobs which are executed via the checkIn() / schedule() /checkOut() methods. This object contains things like the list of successful nodes which were checked in/checked out, the list of nodes which failed; with their status message.

Constructor Summary
`JobResult(List<ID> nodeIds)`

Method Summary
`void` | `addFailedId(ID id, String message)` Add an ID to the failed Ids list with the specified message
`List<ID>` | `getFailedIds()` Returns a list of node id's which failed to check in/check out
`String` | `getFailureMessage(ID nodeId)` The Message associated with the node which failed to check in.
`List<ID>` | `getNodeIds()` Returns all the node ids in the job
`List<ID>` | `getSuccessfulIds()` Returns a list of node id's which were succesfully checked in/checked out

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobResult

    public JobResult(List<ID> nodeIds)

Method Detail

### getFailedIds

    public List<ID> getFailedIds()

  Returns a list of node id's which failed to check in/check out

  Returns

### addFailedId

    public void addFailedId(ID id,
                            String message)

  Add an ID to the failed Ids list with the specified message

  Parameters
    `id` -
    `message` -

### getNodeIds

    public List<ID> getNodeIds()

  Returns all the node ids in the job

  Returns

### getSuccessfulIds

    public List<ID> getSuccessfulIds()

  Returns a list of node id's which were succesfully checked in/checked out

  Returns

### getFailureMessage

    public String getFailureMessage(ID nodeId)

  The Message associated with the node which failed to check in. Will return null if there was no message stored, or if the node did not fail the check in process

  Parameters
    `nodeId` -
  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved